﻿using SqlSugar;
using System.ComponentModel.DataAnnotations;

namespace Falcon.SugarApi.DatabaseDefinitions
{
    /// <summary>
    /// 数据表字符串主键
    /// </summary>
    public class EntityStringId
    {
        /// <summary>
        /// 主键 默认GUID 382c74c3-721d-4f34-80e5-57657b6cbc27
        /// </summary>
        [SugarColumn(IsPrimaryKey = true,ColumnDescription = "主键")]
        [Key]
        [MaxLength(36)]
        public string? Id { get; set; }
    }
}
