﻿using System;

namespace Falcon.SugarApi.TimedTask.TaskManager
{
    /// <summary>
    /// 任务上次运行结果信息
    /// </summary>
    /// <param name="IsSuccess">是否成功</param>
    /// <param name="Time">运行时间</param>
    /// <param name="Msg">运行信息</param>
    public record LastRunInformation(bool IsSuccess, DateTime Time, string? Msg);
}
