﻿using SqlSugar;
using System;

namespace Falcon.SugarApi.DatabaseDefinitions.EntityServices
{
    /// <summary>
    /// 设置禁止删除列服务
    /// </summary>
    public class DisableDeleteColummService:IEntityTableServices
    {
        /// <inheritdoc/>
        public void SetupTable(Type t,EntityInfo e) {
            if(t.TryGetAttribute<DisableDeleteColummAttribute>(out var _)) {
                e.IsDisabledDelete = true;
            }
        }
    }
}
