﻿using System;

namespace Falcon.SugarApi.DatabaseManager
{
    /// <summary>
    /// 数据库注入失败异常
    /// </summary>
    public class DatabaseDIFailException<T> :Exception
        where T: DbContextBase {
        /// <summary>
        /// 数据库注入失败
        /// </summary>
        public DatabaseDIFailException():base($"数据库{nameof(T)}注入失败！无法获取数据库实例！") { }

    }
}
