﻿namespace Falcon.SugarApi.Plugin
{
    /// <summary>
    /// 插件项目
    /// </summary>
    public class PluginItem
    {
        /// <summary>
        /// 插件名称
        /// </summary>
        public string PluginName { get; set; }

        /// <summary>
        /// Swagger定义
        /// </summary>
        public object? SwaggerItem { get; set; }

        /// <summary>
        /// 插件日志
        /// </summary>
        public FixedLengthStortedList<string> PluginLogs { get; set; } = new FixedLengthStortedList<string>(100);
    }
}
