﻿using System;

namespace Falcon.SugarApi.TimedTask
{
    /// <summary>
    /// Cron表达式无法匹配到任何值
    /// </summary>
    public class CronAdjustNullException:Exception
    {
        /// <summary>
        /// 通过提供的字段实例化表达式无法匹配到任何值的异常
        /// </summary>
        /// <param name="message">错误信息</param>
        public CronAdjustNullException(string? message) : base($"Cron表达式无法匹配到任何值:{message}") {
        }
    }
}
